/* Static Post Slider Widget CSS Start Here */

/* Editor CSS Start*/
.elementor-editor-active .kh_slick_postslider_wrapper .rss__slider-main .slide:not(:first-child),
.elementor-editor-active .kh_slick_postslider_wrapper .slider-btm-inner {
    display: none;
}

/* Editor CSS End*/

.kh-slick-postslider-section:before {
    content: "";
    background-image: url('/wp-content/uploads/2026/05/Post-slider-BG.webp');
    position: absolute;
    width: 70%;
    height: 100%;
    right: 0px;
    background-size: 100% 100%;
    background-position: center;
    top: 0px;
    bottom: 0px;
    left: auto;
    border-radius: 200px 0 0 200px;
}

.kh_slick_postslider_wrapper .rss__slider-main {
    margin-bottom: 15px;
}

.kh_slick_postslider_wrapper .rss__slider-main img {
    margin: 0 auto;
}

.kh_slick_postslider_wrapper .rss__slider-thmb .slick-slide {
    opacity: 0.9;
    transition: all .3s ease;
}

.kh_slick_postslider_wrapper .rss__slider-thmb .slick-slide.slick-current.slick-active,
.kh_slick_postslider_wrapper .rss__slider-thmb .slick-slide:hover {
    opacity: 1;
}

/* .kh_slick_postslider_wrapper .rss__slider-main,
.kh_slick_postslider_wrapper .rss__slider-thmb {
    display: none;
} */

.kh_slick_postslider_wrapper .featured-image img {
    display: none !important;
}

.kh_slick_postslider_wrapper .featured-image {
    background-size: cover;
    min-height: 110px;
    max-height: 110px;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #FFFFFF;
    border-radius: 10px;
    margin-bottom: 20px;
    border: 5px solid #fff;
    transition: all 0.3s ease;
    box-shadow: 8px 8px 15px rgba(0, 107, 140, 0.25);
    border-radius: 6px;
}

.kh_slick_postslider_wrapper .slide-top-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
    flex-wrap: wrap;
    width: 100%;
}

.kh_slick_postslider_wrapper .slide-top-left,
.kh_slick_postslider_wrapper .slide-top-right {
    max-width: calc(50% - 12px);
    width: 100%;
}

.kh_slick_postslider_wrapper .slide-top-left {
    padding: 40px 20px;
}

.kh_slick_postslider_wrapper .slide-list-item {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 40px;
    position: relative;
}

.kh_slick_postslider_wrapper .slide-list-item:before {
    content: "";
    background-image: url('/wp-content/uploads/2026/05/indicator.png');
    position: absolute;
    width: 100px;
    height: 15px;
    left: -130px;
    top: 20px;
    background-size: 100% 100%;
    background-position: center;
}

.kh_slick_postslider_wrapper .slide-list-left {
    margin-right: 20px;
    width: 54px;
}

.kh_slick_postslider_wrapper .slide-list-icon {
    background: #fff;
    padding: 10px;
    border-radius: 0px 10px 10px 10px;
    width: 54px;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.kh_slick_postslider_wrapper .slide-list-right {
    width: calc(100% - 74px);
}



.kh_slick_postslider_wrapper .slide-top-inner .featured-image {
    min-height: 350px;
    border: 0px solid #0e47b2;
    box-shadow: 15px 15px 30px rgb(20 26 29 / 30%), inset -2px 0px 5px rgb(4 87 133 / 25%), inset -5px 0px 10px rgb(12 41 57 / 10%);
}

.kh_slick_postslider_wrapper .post-name h2 {
    line-height: 1.1071;
}

.kh_slick_postslider_wrapper .post-name h2 a {
    color: #fff;
    font-family: var(--e-global-typography-39d7c5e-font-family), Sans-serif;
    font-weight: 700;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.kh_slick_postslider_wrapper .slide-list-title span.test_tag {
    display: inline-block;
    font-family: var(--e-global-typography-39d7c5e-font-family), Sans-serif;
    font-size: 20px;
    line-height: 120%;
    letter-spacing: .02em;
    font-weight: 700;
    color: #fff;
    margin: 0px;
}

.kh_slick_postslider_wrapper .post-name p,
.kh_slick_postslider_wrapper .post-name p a {
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    color: #fff;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.kh_slick_postslider_wrapper .slider-btm-inner {
    position: relative;
}

.kh_slick_postslider_wrapper .slider-btm-otr {
    position: absolute;
    right: -70px;
    max-width: 670px;
    top: -30px;
}

.kh_slick_postslider_wrapper .slide-btm-item {
    padding: 20px 10px;
}

.kh_slick_postslider_wrapper .slick-slide.slick-current.slick-active .featured-image {
    border: 5px solid #0e47b2;
}

.kh_slick_postslider_wrapper .slick-slide.slick-current.slick-active .slide-top-left .featured-image {
    border: 0px solid #0E47B2;
}

/* arrow css */
.kh_slick_postslider_wrapper button.slick-prev.slick-arrow,
.kh_slick_postslider_wrapper button.slick-next.slick-arrow {
    font-size: 0px;
    position: absolute;
    top: auto;
    left: auto;
    right: 60%;
    bottom: -125px !important;
    background-image: url('/wp-content/uploads/2026/05/postslider-arrow-left.webp');
    box-shadow: 5px 15px 60px rgb(0 0 0 / 20%), inset 2px 2px 3px #fff;
    background-color: #fff;
    width: 55px;
    height: 55px;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 30px !important;
    border: 0px;
    padding: 0px !important;
    z-index: 99;
    background-size: 13px;
}

.kh_slick_postslider_wrapper button.slick-next.slick-arrow {
    right: 54%;
    background-image: url(https://www.keonahealth.com/hubfs/Keonahealth_2023/Images/right-blue.webp);
}

.kh_slick_postslider_wrapper button.slick-arrow.slick-disabled {
    opacity: 0.6;
    cursor: default;
}

.kh_slick_postslider_wrapper ul.slick-dots li {
    position: relative;
}

.kh_slick_postslider_wrapper ul.slick-dots li button {
    top: 50px;
    z-index: 2;
    font-size: 0px;
    padding: 0px;
    width: 20px;
    height: 20px;
    background: transparent;
    border: 2px solid #fff;
    border-radius: 50%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.kh_slick_postslider_wrapper ul.slick-dots li.slick-active button {
    background: #fff;
}

.kh_slick_postslider_wrapper ul.slick-dots li button:before {
    content: "";
    height: 5px;
    width: 5px;
    background-color: #000000;
    border-radius: 100px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
}


.kh_slick_postslider_wrapper .rss__slider-thmb button.slick-arrow {
    display: none !important;
}

@media screen and (max-width:1200px) {

    .kh_slick_postslider_wrapper button.slick-prev.slick-arrow,
    .kh_slick_postslider_wrapper button.slick-next.slick-arrow {
        right: 72%;
    }

    .kh_slick_postslider_wrapper button.slick-next.slick-arrow {
        right: 64%;
    }

}

@media(max-width:1024px) {

    .kh_slick_postslider_wrapper .slide-top-left,
    .kh_slick_postslider_wrapper .slide-top-right {
        max-width: 100%;
    }

    .kh_slick_postslider_wrapper .slide-top-left {
        padding: 0;
    }

    .kh_slick_postslider_wrapper .rss__slider-main .slick-slide {
        padding: 0 10px;
    }

    .kh_slick_postslider_wrapper .slide-list-item {
        margin-top: 24px;
    }

    .kh_slick_postslider_wrapper .slide-list-item:before {
        display: none !important;
    }

    .kh-slick-postslider-section:before {
        content: "";
        background-image: url('/wp-content/uploads/2026/05/Post-slider-bg-mob.webp');
        width: 100%;
        height: 100%;
        right: 0px;
        top: 0px;
        bottom: 0px;
        left: 0px;
        border-radius: 80px 0px 0px 80px;
    }

    .kh_slick_postslider_wrapper ul.slick-dots {
        position: absolute;
        bottom: -320px;
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: center;
        gap: 10px;
        padding: 30px 0 0;
        list-style-type: none;
        flex-wrap: wrap;
    }

    .kh_slick_postslider_wrapper .slide-top-inner .featured-image {
        min-height: 460px;
    }

    .kh_slick_postslider_wrapper .slider-btm-inner {
        position: relative;
        right: initial;
        max-width: 100%;
        bottom: 0px;
    }

    .kh_slick_postslider_wrapper .slider-btm-otr {
        position: relative;
        right: 0;
        max-width: 100%;
        top: 0;
    }
}

@media(max-width:767px) {
    .kh_slick_postslider_wrapper .slide-list-left {
        margin-right: 15px;
    }

    .kh_slick_postslider_wrapper .slide-list-right {
        width: calc(100% - 69px);
    }

    .kh_slick_postslider_wrapper .slider-btm-otr {
        position: relative;
        right: 0;
        max-width: 100%;
        top: 0;
    }
}

@media(max-width:480px) {
    .kh_slick_postslider_wrapper .slide-top-inner .featured-image {
        min-height: 230px;
        background-size: cover;
        background-repeat: no-repeat;
        box-shadow: unset;
    }
}

@media(max-width:360px) {
    .kh_slick_postslider_wrapper .slide-top-inner .featured-image {
        min-height: 170px;
    }

    .kh_slick_postslider_wrapper .slide-list-item {
        justify-content: space-between;
    }
}

/* Static Post Slider Widget CSS End Here */